.p-wrapper {
  position: relative;
  z-index: 0;
}
.p-wrapper::before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 520px;
  content: "";
  background-image: var(--bg-primary);
  background-repeat: no-repeat;
  background-size: cover;
}
@media (max-width: 525px) {
  .p-wrapper::before {
    height: 420px;
  }
}

.p-map {
  margin: 120px 0;
}
@media (max-width: 768px) {
  .p-map {
    margin: 80px 0;
  }
}
.p-map__heading {
  margin-bottom: 2em;
}
.p-map__map {
  position: relative;
  z-index: 0;
  width: 860px;
  max-width: 100%;
  min-height: 320px;
  aspect-ratio: 1/0.66;
  margin-inline: auto;
}
.p-map__map > iframe {
  position: absolute;
  width: 100%;
  height: 100%;
}
.p-map__link {
  margin-inline: auto;
  margin-top: 3em;
}
.p-map__exterior {
  max-width: 980px;
  margin-inline: auto;
  margin-top: 80px;
  container-type: inline-size;
}
.p-map__exterior__list {
  --column-count: 2;
  --column-gap: min(50px, 4cqw);
  --row-gap: 2.5em;
}
@container (width <= 500px) {
  .p-map__exterior__list {
    --column-count: 1;
  }
}
.p-map__exterior__image {
  width: 100%;
}
@media (max-width: 768px) {
  .p-map__exterior__image {
    max-width: 380px;
    margin-inline: auto;
  }
}

.p-trans-section {
  padding: 100px 0;
  margin: 120px 0;
  background-image: var(--bg-primary);
  background-repeat: no-repeat;
  background-size: cover;
}
@media (max-width: 768px) {
  .p-trans-section {
    margin: 80px 0;
  }
}
.p-trans-section__heading {
  margin-bottom: 2em;
}
.p-trans-section__list {
  container-type: inline-size;
  display: grid;
  gap: 2em;
  max-width: 860px;
  margin-inline: auto;
}
.p-trans-section__list.wid01 {
  max-width: 1100px;
}

.p-trans {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 0.5em 2em;
  align-items: center;
}
@container (width <= 650px) {
  .p-trans {
    grid-template-columns: 1fr;
  }
}

.p-trans .position_pl {
  position: relative;
  padding-left: 20px;
}
.p-trans p .position_text {
  position: absolute;
  top: 0;
  left: 0;
  content: '';
}
.p-trans__heading {
  display: flex;
  gap: 0.75em;
  align-items: center;
  min-width: 14em;
  height: -moz-fit-content;
  height: fit-content;
  padding: 0.75em 1em;
  font-size: var(--font-size-lg);
  font-weight: bold;
  color: var(--color-text-contrast);
  background-color: rgba(var(--color-primary-rgb), 0.75);
}
.p-trans-section__list.wid01 .p-trans__heading {
  min-width: 18em;
}
.p-trans__heading:where(body[data-theme=black] *) {
  background-color: var(--color-primary);
}
.p-trans__heading__icon {
  font-size: 2em;
}

.p-route-section {
  margin: 120px 0;
}
@media (max-width: 768px) {
  .p-route-section {
    margin: 80px 0;
  }
}
.p-route-section__heading {
  margin-bottom: 2em;
}
.p-route-section__body {
  container-type: inline-size;
}
.p-route-section__list {
  --column-count: 3;
  --column-gap: min(3em, calc(4 * var(--vw)));
  --row-gap: 2.5em;
}
@media (max-width: 525px) {
  .p-route-section__list {
    --row-gap: 2em;
  }
}
@container (width <= 850px) {
  .p-route-section__list {
    --column-count: 2;
  }
}
@container (width <= 550px) {
  .p-route-section__list {
    --column-count: 1;
  }
}

.p-route__header {
  max-width: 400px;
  margin-inline: auto;
}
.p-route__image {
  width: 100%;
}
.p-route__content {
  padding: 0 0.75em;
}



/* 追加css */
.p-map__map {
  position: initial;
  min-height: auto;
  aspect-ratio: initial;
  text-align: center;
}


.access__imgbox {
  max-width: 1100px;
  margin: 40px auto 0;
}
.access__imgbox ul {
  display: flex;
  justify-content: space-between;
}
.access__imgbox ul li:nth-child(1) {
  width: 60%;
}
.access__imgbox ul li:nth-child(2) {
  width: 38%;
}

@media (max-width: 768px) {
  .access__imgbox ul {
    flex-direction: column;
  }
  .access__imgbox ul li:nth-child(1),
  .access__imgbox ul li:nth-child(2) {
    width: 100%;
  }
  .access__imgbox ul li:nth-child(2) {
    margin-top: 30px;
  }
}